> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/endpoint-overview/leagues.md).

# Leagues

For most customers, the **Leagues** endpoint is the starting point. A request on this endpoint returns a response with all Leagues you have access to, based on the plan you are subscribed to.

The **Leagues** endpoint provides you League information like its ID, Name, Country, Coverage etc.

The endpoint is often used in combination with the `Season` or `Seasons` Includes. Where the `Season` include returns information about the **active Season** only, the `Seasons` Include returns information about **all seasons** available for the specific Leagues.

{% content-ref url="/pages/-MXqYfJ7pjyjFZ3NdBXO" %}
[GET All Leagues](/v2/endpoint-overview/leagues/get-all-leagues.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MXqYfGUpCCKTv4ILJIb" %}
[GET League by ID](/v2/endpoint-overview/leagues/get-league-by-id.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MXqYfEe4j\_dy6XRe-Ft" %}
[Search Leagues by Name](/v2/endpoint-overview/leagues/search-leagues-by-name.md)
{% endcontent-ref %}

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#ea1d312c-1bc9-4ed3-9a23-4e24ab5a61c8)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/leagues.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
